Enrichment
Cancel a job
Cancels an enrichment job that is in pending or processing status.
Jobs that are already completed, failed, or cancelled cannot be cancelled.
curl -X POST "https://api.sendkit.ai/v1/enrichment/jobs/example_string/cancel" \
-H "Content-Type: application/json" \
-H "X-Api-Key: YOUR_API_KEY" \
-H "Authorization: Bearer YOUR_API_TOKEN"
import requests
import json
url = "https://api.sendkit.ai/v1/enrichment/jobs/example_string/cancel"
headers = {
"Content-Type": "application/json",
"X-Api-Key": "YOUR_API_KEY",
"Authorization": "Bearer YOUR_API_TOKEN"
}
response = requests.post(url, headers=headers)
print(response.json())
const response = await fetch("https://api.sendkit.ai/v1/enrichment/jobs/example_string/cancel", {
method: "POST",
headers: {
"Content-Type": "application/json",
"X-Api-Key": "YOUR_API_KEY",
"Authorization": "Bearer YOUR_API_TOKEN"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("POST", "https://api.sendkit.ai/v1/enrichment/jobs/example_string/cancel", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-Api-Key", "YOUR_API_KEY")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.sendkit.ai/v1/enrichment/jobs/example_string/cancel')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['X-Api-Key'] = 'YOUR_API_KEY'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
response = http.request(request)
puts response.body
{
"success": true,
"data": {
"id": "bulk_email_verification_1710000000000_abc1234",
"type": "email_verification",
"status": "cancelled",
"metadata": {
"totalItems": 100,
"processedItems": 0,
"successCount": 0,
"failedCount": 0,
"creditsUsed": 100
},
"updatedAt": "2025-03-19T10:01:00.000Z",
"completedAt": "2025-03-19T10:01:00.000Z"
}
}
{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Job cannot be cancelled in status "completed""
}
}
{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Job not found or expired"
}
}
POST
/v1/enrichment/jobs/{jobId}/cancelPOST
API Key (header: X-Api-Key)
X-Api-Keystring
RequiredPlatform API key (sk_user_...) or Workspace API key (sk_...)
Platform API key (sk_user_...) or Workspace API key (sk_...)
path
jobIdstring
RequiredThe enrichment job ID to cancel
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-Api-Keystring
RequiredAPI Key for authentication. Platform API key (sk_user_...) or Workspace API key (sk_...)
header
Authorizationstring
RequiredBearer token. API key as Bearer token
Path Parameters
jobIdstring
RequiredThe enrichment job ID to cancel
Responses
successboolean
dataobject
Was this page helpful?
Last updated today
Built with Documentation.AI